/*
 * LABANscript Gylph Image Vector Data (Code File)
 *
 * Written and Copyright 1999 by David E. Down the Faery Monarch, Gonksoftware
 * This software is released under the GNU GPL version 2.
 *
 * See the file "COPYING" for software license details.
 */

#include "def.h"     /* The Common #defines */
#include "symdata.h" /* Include defines */

 VECTOR one_glyph [] = {
   VECT_POLYGON, 3, /* The Left Triangle Glyph Vectors */
    500, 500,       /* The dot position */
    1000,0,
    1000,1000,
    0,500,
   VECT_END
  };

 VECTOR two_glyph [] = {
  VECT_POLYGON, 4, /* Tetragon, top-right chipped */
   500, 667,        /* The dot position */
   0, 0,              /* Rectanglle Vectors */
   1000, 333,
   1000, 1000,
   0, 1000,
  VECT_END            /* The end of glyph */
  };

 VECTOR three_glyph [] = {
  VECT_POLYGON, 6,  /* Hexagon, top-left chipped */
   500, 667,        /* The dot position */
   500, 0,
   1000, 0,
   1000, 1000,
   0, 1000,
   0, 333,
   500, 333,
  VECT_END            /* The end of glyph */
  };

 VECTOR four_glyph [] = {
  VECT_POLYGON, 6,  /* Hexagon, top-right chipped */
   500, 667,        /* The dot position */
   500, 0,
   0, 0,
   0, 1000,
   1000, 1000,
   1000, 333,
   500, 333,
  VECT_END            /* The end of glyph */
  };

 VECTOR five_glyph [] = {
  VECT_POLYGON, 4, /* Tetragon, Top/Left chipped */
   500, 667,       /* The dot position */
   0, 333,
   1000, 0,
   1000, 1000,
   0, 1000,
  VECT_END            /* The end of glyph */
  };

 VECTOR six_glyph [] = {
   VECT_POLYGON, 3, /* The Left Triangle Glyph Vectors */
    500, 500,       /* The dot position */
    0,0,
    0,1000,
    1000,500,
   VECT_END
  };

 VECTOR seven_glyph [] = {
  VECT_POLYGON, 4, /* The Rectangle Glyph Vectors */
   500, 500,        /* The dot position */
   0, 0,              /* Rectanglle Vectors */
   1000, 0,
   1000, 1000,
   0, 1000,
  VECT_END            /* The end of glyph */
  };

 VECTOR eight_glyph [] = {
  VECT_POLYGON, 4, /* Tetragon, bottom/right chipped */
   500, 333,       /* The dot position */
   0, 0,
   1000, 0,
   1000, 667,
   0, 1000,
  VECT_END            /* The end of glyph */
  };

 VECTOR nine_glyph [] = {
  VECT_POLYGON, 6,  /* Hexagon, bottom-left chipped */
   500, 333,        /* The dot position */
   500, 1000,
   1000, 1000,
   1000, 0,
   0, 0,
   0, 667,
   500, 667,
  VECT_END            /* The end of glyph */
  };

 /* There is no ten, because of my misnumbering of the legend */

 VECTOR eleven_glyph [] = {
  VECT_POLYGON, 6,  /* Hexagon, bottom-right chipped */
   500, 333,        /* The dot position */
   500, 1000,
   0, 1000,
   0, 0,
   1000, 0,
   1000, 667,
   500, 667,
  VECT_END            /* The end of glyph */
  };

 VECTOR twelve_glyph [] = {
  VECT_POLYGON, 4, /* Tetragon, bottom/left chipped */
   500, 333,       /* The dot position */
   1000, 0,
   0, 0,
   0, 667,
   1000, 1000,
  VECT_END         /* The end of glyph */
  };

 VECTOR thirteen_glyph [] = {
  VECT_POLYGON, 4, /* Parallelogram (sloping top/right to bottom/left) */
   500, 500,       /* The dot position */
   1000, 0,
   0, 333,
   0, 1000,
   1000, 667,
  VECT_END         /* The end of glyph */
  };

 VECTOR fourteen_glyph [] = {
  VECT_POLYGON, 4, /* Parallelogram (sloping top/left to bottom/right) */
   500, 500,       /* The dot position */
   0, 0,
   1000, 333,
   1000, 1000,
   0, 667,
  VECT_END         /* The end of glyph */
  };

 VECTOR fifteen_glyph [] = {
  VECT_POLYGON, 4, /* Left Trapezoid */
   500, 500,       /* The dot position */
   0, 333,
   1000, 0,
   1000, 1000,
   0, 667,
  VECT_END         /* The end of glyph */
  };

 VECTOR sixteen_glyph [] = {
  VECT_POLYGON, 4, /* Right Trapezoid */
   500, 500,       /* The dot position */
   1000, 333,
   0, 0,
   0, 1000,
   1000, 667,
  VECT_END         /* The end of glyph */
  };

 VECTOR seventeen_glyph [] = { /* */
  VECT_POLYGON, 6, /* (???) Hexagon */
   500, 500,       /* The dot position */
   500, 333,
   1000, 0,
   1000, 1000,
   500, 667,
   0, 1000,
   0, 0,
  VECT_END         /* The end of glyph */
  };

 VECTOR eighteen_glyph [] = { /* */
  VECT_POLYGON, 6, /* Regular Hexagon */
   500, 500,       /* The dot position */
   500, 0,
   1000, 333,
   1000, 667,
   500, 1000,
   0, 667,
   0, 333,
  VECT_END         /* The end of glyph */
  };

 VECTOR nineteen_glyph [] = {
  VECT_POLYGON, 6, /* Down Arrow -- Hexagon */
   500, 500,       /* The dot position */
   500, 1000,
   1000, 667,
   1000, 0,
   500, 333,
   0, 0,
   0, 667,
  VECT_END         /* The end of glyph */
  };

 VECTOR twenty_glyph [] = {
  VECT_POLYGON, 6, /* Up Arrow -- Hexagon */
   500, 500,       /* The dot position */
   500, 0,
   1000, 333,
   1000, 1000,
   500, 667,
   0, 1000,
   0, 333,
  VECT_END         /* The end of glyph */
  };

 VECTOR twenty_one_glyph [] = {
  VECT_POLYGON, 4,
   500, 500,
   1000, 200,
   1000, 600,
   0, 800,
   0, 400,
  VECT_LINE, 2,
   0, 0,
   1000, 200,
  VECT_LINE, 2,
   1000, 1000,
   0, 800,
  VECT_END         /* The end of glyph */
  };

 VECTOR twenty_two_glyph [] = {
  VECT_POLYGON, 4,
   500, 500,
   0, 200,
   0, 600,
   1000, 800,
   1000, 400,
  VECT_LINE, 2,
   1000, 0,
   0, 200,
  VECT_LINE, 2,
   0, 1000,
   1000, 800,
  VECT_END         /* The end of glyph */
  };

 VECTOR twenty_three_glyph [] = {
  VECT_POLYGON, 4,
   500, 500,
   0, 200,
   1000, 400,
   1000, 600,
   0, 800,
  VECT_LINE, 2,
   1000, 0,
   0, 200,
  VECT_LINE, 2,
   1000, 1000,
   0, 800,
  VECT_END         /* The end of glyph */
  };

 VECTOR twenty_four_glyph [] = {
  VECT_POLYGON, 4,
   500, 500,
   1000, 200,
   0, 400,
   0, 600,
   1000, 800,
  VECT_LINE, 2,
   0, 0,
   1000, 200,
  VECT_LINE, 2,
   0, 1000,
   1000, 800,
  VECT_END         /* The end of glyph */
  };

/* All the pointers to the each polyglyph */
 VECTOR *polyglyph_array [] = {NULL, one_glyph, two_glyph, three_glyph,
  four_glyph, five_glyph, six_glyph, seven_glyph, eight_glyph, nine_glyph,
  NULL, eleven_glyph, twelve_glyph, thirteen_glyph, fourteen_glyph,
  fifteen_glyph, sixteen_glyph, seventeen_glyph, eighteen_glyph,
  nineteen_glyph, twenty_glyph, twenty_one_glyph, twenty_two_glyph,
  twenty_three_glyph, twenty_four_glyph};


 VECTOR ss_zero_glyph_sin [] = { /* SS glyph 0 (X) */
  SS_LINE, 2, 100, 100, 900, 900,
  SS_LINE, 2, 900, 100, 100, 900,
  SS_DOT, 500, 200, 500, 800,
  VECT_END
 };

 VECTOR ss_one_glyph_sin [] = { /* SS glyph 1 (Slashed X) */
  SS_LINE, 2, 100, 500, 900, 500,
  SS_LINE, 2, 100, 100, 900, 900,
  SS_LINE, 2, 900, 100, 100, 900,
  SS_DOT, 500, 200, 500, 800,
  VECT_END
 };

 VECTOR ss_two_glyph_sin  [] = { /* SS glyph 2 (Mirrored N) */
  SS_LINE, 4, 900, 900,    900, 100,    100, 900,    100, 100,
  SS_DOT,     300, 300,    700, 700,
  VECT_END
 };

 VECTOR ss_three_glyph_sin  [] = { /* SS glyph 3 (Mirrored slashed N) */
  SS_LINE, 2, 100, 500,    900, 500,
  SS_LINE, 4, 900, 900,    900, 100,    100, 900,    100, 100,
  SS_DOT,     300, 300,    700, 700,
  VECT_END
 };

 VECTOR ss_four_glyph_sin [] = { /* SS glyph 5 (Underlined V) */
  SS_LINE, 3, 100, 100, 500, 500, 900, 100,
  SS_LINE, 2, 100, 500, 900, 500,
  SS_DOT,  500, 300, 500, 700,
  VECT_END
 };

 VECTOR ss_five_glyph_sin [] = { /* SS glyph 4 (right way up A) */
  SS_LINE, 3, 100, 900,  500, 100,   900, 900,
  SS_LINE, 2, 100, 600,  900, 600,
  SS_DOT, /* Top always goes first */
           500, 400,     500, 800,
  VECT_END
 };

 VECTOR ss_six_glyph_sin [] = { /* SS glyph 6 */
  SS_LINE, 4, 300, 100,   100, 600,    900, 600,   700, 100,
  SS_DOT,     500, 400,   500, 800,
  VECT_END
 };

 VECTOR ss_seven_glyph_sin [] = { /* SS glyph 7 */
  SS_LINE, 4, 100, 100,   300, 600,    700, 600,   900, 100,
  SS_DOT,     500, 400,   500, 800,
  VECT_END,
 };

 VECTOR ss_zero_glyph_dou [] = { /* SS glyph 0 (X) */
  SS_LINE, 3,  200, 100,   500, 400,   800, 100,
  SS_LINE, 3,  100, 200,   400, 500,   100, 800,
  SS_LINE, 3,  900, 200,   600, 500,   900, 800,
  SS_LINE, 3,  200, 900,   500, 600,   800, 900,
  SS_DOT, /* Top always goes first */
           500, 200,       500, 800,
  VECT_END
 };

 VECTOR ss_one_glyph_dou [] = { /* SS glyph 1 (X - slashed) */
  SS_LINE, 2,  100, 500,   900, 500,
  SS_LINE, 3,  200, 100,   500, 400,   800, 100,
  SS_LINE, 3,  100, 200,   400, 500,   100, 800,
  SS_LINE, 3,  900, 200,   600, 500,   900, 800,
  SS_LINE, 3,  200, 900,   500, 600,   800, 900,
  SS_DOT, /* Top always goes first */
           500, 200,       500, 800,
  VECT_END
 };

 VECTOR ss_two_glyph_dou [] = { /* SS glyph 2 (Mirrored - N) */
  SS_LINE, 3,  900, 900,   900, 100,   100, 700,
  SS_LINE, 3,  900, 300,   100, 900,   100, 100,
  SS_DOT,
           300, 300,       700, 700,
  VECT_END
 };

 VECTOR ss_three_glyph_dou [] = { /* SS glyph 3 (Mirrored Slashed N) */
  SS_LINE, 2,  100, 500,   900, 500,
  SS_LINE, 3,  900, 900,   900, 100,   100, 700,
  SS_LINE, 3,  900, 300,   100, 900,   100, 100,
  SS_DOT,
           300, 300,       700, 700,
  VECT_END
 };

 VECTOR ss_four_glyph_dou [] = { /* SS glyph 5 (Underlined V double) */
  SS_LINE, 2, 100, 200,    400, 500,
  SS_LINE, 2, 900, 200,    600, 500,
  SS_LINE, 3, 200, 100,    500, 400,    800, 100,
  SS_LINE, 2, 100, 500,    900, 500,
  SS_DOT,     500, 200,    500, 700,
  VECT_END
 };

 VECTOR ss_five_glyph_dou [] = { /* SS glyph 4 (right way up A - double) */
  SS_LINE, 3, 100, 900,  500, 100,   900, 900,
  SS_LINE, 3, 200, 900,  500, 300,   800, 900,
  SS_LINE, 2, 100, 600,  900, 600,
  SS_DOT, /* Top always goes first */
           500, 500,     500, 800,
  VECT_END
 };

 VECTOR ss_six_glyph_dou [] = { /* SS glyph 6 */
  SS_LINE, 4, 300, 100,   100, 600,    900, 600,   700, 100,
  SS_LINE, 2, 200, 400,   800, 400,
  SS_DOT,     500, 200,   500, 800,
  VECT_END
 };

 VECTOR ss_seven_glyph_dou [] = { /* SS glyph 7 */
  SS_LINE, 4, 100, 100,   300, 600,    700, 600,   900, 100,
  SS_LINE, 2, 200, 400,   800, 400,
  SS_DOT,     500, 200,   500, 800,
  VECT_END,
 };


/* === Pointer arrays to the space glyph datum arrays === */
/* & 0x7f to shade code to enable access to double array */
 VECTOR *ss_array_single [] = {ss_zero_glyph_sin, ss_one_glyph_sin,
   ss_two_glyph_sin, ss_three_glyph_sin, ss_four_glyph_sin,
   ss_five_glyph_sin, ss_six_glyph_sin, ss_seven_glyph_sin};
/* | 0x80 to shade code to enable access to double array */
 VECTOR *ss_array_double [] = {ss_zero_glyph_dou, ss_one_glyph_dou,
   ss_two_glyph_dou, ss_three_glyph_dou, ss_four_glyph_dou,
   ss_five_glyph_dou, ss_six_glyph_dou, ss_seven_glyph_dou};

